package premium_store.controller.DTO;

import premium_store.model.Nation;

import java.util.List;

public class FullNationDTO {
    public final Long id;
    public final String nation;
    public final List<TankDTO> tanks;

    public FullNationDTO(Nation nation){
        this.id = nation.getId();
        this.nation = nation.getNation();
        this.tanks = nation.getTanksOfThisNation().stream()
                .map(TankDTO::new)
                .toList();
    }

    public Long getId() {
        return id;
    }

    public String getNation() {
        return nation;
    }

    public List<TankDTO> getTanksOfThisNation() {
        return tanks;
    }
}
